package electrosphere.game.client.terrain.cache;

/**
 *
 * @author amaterasu
 */
public class ChunkModification {
    int worldX;
    int worldY;
    int locationX;
    int locationY;
    float value;

    public ChunkModification(int worldX, int worldY, int locationX, int locationY, float value) {
        this.worldX = worldX;
        this.worldY = worldY;
        this.locationX = locationX;
        this.locationY = locationY;
        this.value = value;
    }

    public int getWorldX() {
        return worldX;
    }

    public int getLocationX() {
        return locationX;
    }

    public int getLocationY() {
        return locationY;
    }

    public float getValue() {
        return value;
    }

    public int getWorldY() {
        return worldY;
    }
    
    public float[][] applyModification(float[][] heightmap){
        heightmap[locationX][locationY] = value;
        return heightmap;
    }
    
    
}
